#! /bin/sh

# halt on errors
set -e

#cd ${OPENSOURCE_DIR}/nfs-utils
export install_prefix=${TARGETS_DIR}/nfs-utils-tmp
if [ -e "${install_prefix}" ]
then
  rm -R ${install_prefix}
fi
mkdir -p ${install_prefix}/usr/sbin
#/bin/bash

#TCP_WRAPPER
make -C ${OPENSOURCE_DIR}/tcp_wrappers bcm

#PORTMAP
make -C ${OPENSOURCE_DIR}/portmap bcm
cp ${OPENSOURCE_DIR}/portmap/portmap ${install_prefix}/usr/sbin

#NFS
STRIPPROG=${STRIP}
make -C ${OPENSOURCE_DIR}/nfs-utils install
if [ -e ${install_prefix}/usr/sbin/st* ]
then
  rm ${install_prefix}/usr/sbin/st*
fi
for i in ${install_prefix}/usr/sbin/*
do
  if [ "`file $i | grep ELF | sed -e "s/.*\(ELF\).*/\1/"`" = "ELF" ]
  then
    $STRIP $i
  fi
done
#$STRIP ${install_prefix}/usr/sbin/*
rm -R ${install_prefix}/usr/man
#mv ${install_prefix}/var ${install_prefix}/nfs-var
rm -R ${install_prefix}/var
cp -a ${install_prefix}/* ${INSTALL_DIR}
#/bin/bash
