#!/bin/sh
#Script gets called by udhcpd every time it sends a DHCPACK to a client
#handles hdd turn on/off
#WARNING! If this script hangs (i.e. runs forever), dhcp won't work anymore
# because udhcpd waits for this script to finish

STATUS=`cat /var/HDDstatus`
#Status: 0=Off, 4=On, 1=Offscript running, 2=Onscript running

if [ $STATUS -eq 4 ]
then
  echo "udhcpd: HDDPowerOn triggered but HDD already is On"
elif [ $STATUS -eq 0 ]
then
  echo "udhcpd: HDDPowerOn"
  #echo 2 > /var/HDDstatus
  #/var/HDDpowerOn.sh >> /var/HDDlog.txt 2>&1 &
  /var/HDDpowerOn.sh &
else
  echo "udhcpd: HDDpowerOn triggert but unknown HDDstatus"
fi

